# $Revision: 1.20 $, $Date: 2010/08/19 13:37:22 $
%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	Blowfish
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
%define		subver	RC2
%define		rel		1
Summary:	%{_pearname} - quick two-way blowfish encryption
Summary(pl.UTF-8):	%{_pearname} - szybkie dwustronne szyfrowanie algorytmem blowfish
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{subver}.%{rel}
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	09f0e38a4d524ba4102db5d11b07ffe9
URL:		http://pear.php.net/package/Crypt_Blowfish/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows you to preform two-way blowfish on the fly using
only PHP. This package does not require the Mcrypt PHP extension to
work.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa pozwala na dwustronne szyfrowanie w locie z użyciem algorytmu
blowfish. Klasa ta nie wymaga rozszerzenia Mcrypt.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

# badly packaged, i think
sed -i -e 's,Blowfish/DefaultKey.php,Crypt/Blowfish/DefaultKey.php,' ./%{php_pear_dir}/%{_class}/%{_subclass}.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_Blowfish.spec,v $
Revision 1.20  2010/08/19 13:37:22  glen
- up to 1.1.0RC2-beta

Revision 1.19  2008/01/31 12:16:48  glen
- rel 3

Revision 1.18  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.16  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.15  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.14  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.11  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.10  2005/10/27 17:48:19  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.9  2005/10/03 13:49:19  glen
- sed 4.0 already required by rpm-php-pearprov >= 4.4.2-12

Revision 1.8  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.7  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.6  2005/09/23 11:57:03  qboosh
- pl for -tests

Revision 1.5  2005/09/19 23:36:07  glen
- 1.0.1

Revision 1.4  2005/09/19 21:43:39  glen
- integer BR

Revision 1.3  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.2  2005/05/05 07:40:00  adamg
- updated to 1.0.0

Revision 1.1  2005/03/27 00:56:02  adamg
- new

